Subject: Re: bug#34196: Error in auto-revert-buffers: Wrong type argument

From: Michael Albinus <[email-masked]>
Date: Thu, 14 Feb 2019 21:25:38 +0100

Alex Branham <[email-masked]> writes:

Hi Alex,

> I'm not really sure when/how/why default-directory becomes nil. It seems
> to happen in non-file-visiting buffers (e.g. *scratch*, *Backtrace*, any
> comint buffer, etc) from time to time. I know "from time to time" is
> vague; I've had a hard time tracking it down.
>
> I'm using EXWM (not sure if that has anything at all to do with it) and
> it seems like it happens when my screen turns off after a period of
> inactivity. I'm not really sure how/why Emacs would know about that
> though, so perhaps it's totally unrelated.

I see your point. However, if you keep the debug-on-error setting, the
problem will appear next time, and we can analyze the timestamp.

> Thanks,
> Alex

Best regards, Michael.